using AlienAttack.MonoGame.Textures;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;

namespace AlienAttack.MonoGame.Things.Bullets;

public class ProtonBulletMedium : Bullet
{
    public const int Width = 10;
    public const int Height = 10;

    public ProtonBulletMedium(float x, float y, float xVel, float yVel, Sprite owner) : base(x, y, xVel, yVel, owner)
    {
        Origin = new(Width / 2, Height / 2);
        BoundBox = new(0, 0, Width, Height);
        Damage = 2;
    }

    public override void Draw(SpriteDrawArgs args)
    {
        Texture2D texture = args.Textures.Get(TextureNames.Bullets.ProtonMedium);

        float rotation = MathF.Atan2(YVelocity, XVelocity) + MathF.PI / 2f;
        
        args.SpriteBatch.Draw(texture, Position, null, DrawColor, rotation, Origin, 1f, SpriteEffects.None, 1);
    }
}